Bug 187873 - SEGV when accessing $sth->{TYPE}->[$i] for a VIEW
SEGV when accessing $sth->{TYPE}->[$i] for a VIEW
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-DBD-SQLite (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Pedro Oliveira
Fedora Extras Quality Assurance
http://rt.cpan.org/Public/Bug/Display...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-04 03:50 EDT by Nigel Metheringham
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: perl-DBD-SQLite-1.12-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-12 11:14:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Workround patch for SEGV in type (1002 bytes, patch)
2006-04-04 03:50 EDT, Nigel Metheringham
no flags Details | Diff

  None (edit)
Description Nigel Metheringham 2006-04-04 03:50:49 EDT
Description of problem:

Enumeration of type information on a VIEW causes a SEGV.
This would be avoidable, except that DBIx::Class hits this on startup if you
have a database including a VIEW.

See http://rt.cpan.org/Public/Bug/Display.html?id=12347

Version-Release number of selected component (if applicable):
perl-DBD-SQLite-1.11

How reproducible:
Every time

Steps to Reproduce:
See upstream bug report
Comment 1 Nigel Metheringham 2006-04-04 03:50:49 EDT
Created attachment 127276 [details]
Workround patch for SEGV in type
Comment 2 Jose Pedro Oliveira 2006-04-05 13:09:33 EDT
Imported and build for devel.

SRPM and build logs available here:
http://buildsys.fedoraproject.org/logs/fedora-development-extras/7258-perl-DBD-SQLite-1.11-4.fc6/
Comment 3 Jose Pedro Oliveira 2006-04-12 11:14:19 EDT
Patch still needed with DBD::SQLite 1.12.

Without the patch in comment #1 the following script still crashes
when accesing the TYPE information.
----------
#!/usr/bin/perl -w
use strict;
use DBI;

my $dbh = DBI->connect("dbi:SQLite:dbname=foo", "", "");
my $sth = $dbh->prepare("SELECT * FROM f");
$sth->execute();
$sth->fetch();
my $types = $sth->{TYPE};
my $names = $sth->{NAME};
print "# Names: @$names\n";
print "# Types: @$types\n";

$sth->finish;
$dbh->disconnect;
----------


perl-DBD-SQLite-1.12-1 built for FC-5 and devel.


Note You need to log in before you can comment on or make changes to this bug.